=== debian/changelog ===
cairo-dock (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Detailed Upstream ChangeLog (beta 2 -> release)
    - Desklets: when something is dropped onto a desklet, get the data and
      not only the text
    - Dialogs: fixed a bug that made the background of the widgets inside
      the dialog visible
    - Menus: split menus functions into separated files to prepare future
      menus and imported gtkimagemenuitem.c but only used with GTK 3.10
      Note: no changes for Saucy (with GTK 3.8)
    - src: remove some g_print's
    - po: imported translations from Launchpad
  * A few bugs have been fixed:
    - Invalid fastbin entry LP: #1212981
    - Cairo-Dock Session is broken with Gnome-Session 3.8 LP: #1193598
    - Dock doesn't hide when a Downloading windows overlaps LP: #1094825
    - Thumbnails of windows not showing when minimized LP: #1051174
    - Icon label persists after hover away LP: #1108611
    - Insecure RPATH in libgldi.so LP: #1170229
    - Dock becames visible although it should be hidden LP: #1218360
  * debian/control: bumped plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 04 Oct 2013 14:58:22 +0200
