=== debian/changelog ===
cairo-dock (3.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.0 -> 3.3.1)
    - GLX backend: with GTK2, use the GDK default display for all glx
      functions (without that, the dock is fully transparent)
    - Docks: the input shape was incorrectly set at startup
    - Menu: show the menu-items before popping the menu up, so that they
      are realized (as before)
    - Launchers: Updated our .desktop file with the latest translations
  * debian/control: bumped plug-ins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 08 Oct 2013 18:44:04 +0200
