=== debian/control ===
--- 
+++ 
@@ -28,9 +28,9 @@
 Architecture: all
 Conflicts: cairo-dock (<= 2.0.8.0)
 Depends: cairo-dock-core (>= ${source:Version}),
-         cairo-dock-plug-ins (>= 3.3.0),
-         cairo-dock-plug-ins-dbus-interface-python (>= 3.3.0),
-         cairo-dock-plug-ins-integration (>= 3.3.0),
+         cairo-dock-plug-ins (>= 3.3.1),
+         cairo-dock-plug-ins-dbus-interface-python (>= 3.3.1),
+         cairo-dock-plug-ins-integration (>= 3.3.1),
          ${misc:Depends}
 Description: Light and eye-candy dock to launch your programs (metapackage)
  Cairo-Dock is a pretty, light and convenient interface to your desktop,
