=== debian/changelog ===
cairo-dock (3.3.2-1) unstable; urgency=low

  * Imported Upstream version 3.3.2

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Nov 2013 13:12:09 +0900

cairo-dock (3.3.1-1) unstable; urgency=low

  * Imported Upstream version 3.3.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Oct 2013 10:18:17 +0900

cairo-dock (3.2.1-1) unstable; urgency=low

  * Imported Upstream version 3.2.1
  * Drop pangox dependencies. (Closes: #701881, #712356)
  * Drop obsolete DEB_COMPRESS_EXCLUDE
  * Refresh patches
  * Enable multiarch support
  * Update copyright: copyright year, URI of format/1.0
  * Use canonical Vcs field
  * Fix lintian warning: copyright-refers-to-symlink-license

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 29 Jun 2013 17:24:43 +0900
