=== data/themes/default-theme-panel/plug-ins/Messaging-Menu/CMakeLists.txt ===
install (FILES Messaging-Menu.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/Messaging-Menu )
