=== data/themes/default-theme/plug-ins/rendering/CMakeLists.txt ===

########### install files ###############

install(FILES  rendering.conf DESTINATION ${pkgdatadir}/themes/Default-Single/plug-ins/rendering )
