=== debian/changelog ===
cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu2) trusty; urgency=medium

  * debian/control:
    - gnome-session is no longer by default on Ubuntu and we need it for
      the Cairo-Dock session
    - Added support of Mate and Cinnamon

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 07 Apr 2014 23:47:42 +0200

cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu1) trusty; urgency=medium

  * Revert back to the 3.3.2 version: (LP: #1302246)
    Unfortunately, due to the lack of time, we have to revert back to the
    latest stable version. Sorry for that but feel free to help us ;-)
  * debian/patches: cherry-pick patches from upstream BZR repo, all 'bug-fix'
    and changes that were already in the 3.3.99.beta1 version except all
    changes linked to the new style, the menu and the configuration.
    - bzr1670_Default_themes_Disable_icon-effects.patch: Default themes:
      disable icon-effects: maybe a bit 'too much' for the current trend
    - bzr1684_Utils_Added_get_default_terminal.patch: Utils: Added:
      'get_default_terminal()' to get the default terminal.
    - bzr1708-1709_Utils_Cmd_with_right_terminal_and_theme_packager_support_
      and_exception_for_konsole.patch: Utils: Cmd with right terminal: added
      an exception for 'konsole'. Theme: Pkg: Cmd: used simple quotes instead
      of double quotes in the second cmd
    - bzr1714_change_default_img_dir_to_Images_dir_in_home.patch: GUI: widget:
      file chooser: images: default directory is now ~/Images
    - bzr1715-1716_File_Mgr_added_the_possibility_to_monitor_a_process.patch:
      File Mgr: added the possibility to monitor a process
    - bzr1719_unblacklist_intel_hd4000.patch: GLX: blacklist Intel HD4000:
      this bug is now fixed when using Mesa 10.1
    - bzr1720_gsettings_can_have_quotes.patch: style: handle the case where
      font_name in gsettings has quotes
  * debian/patches/session_desktopname_Unity.patch: Switch DesktopName to
    Unity to also take advantage of patches added in some GNOME apps and
    specially made for Unity to avoid some behaviour designed only for
    Gnome-Shell (e.g. Nautilus, indicators, etc.).
  * debian/control: bumped Plugins versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 06 Apr 2014 23:45:58 +0200

cairo-dock (3.3.99.beta1.1~20140219~bzr1717-0ubuntu2) trusty; urgency=medium

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Style: unified the style for all objects.
    - Menu: added the possibility to customise them
    - Config: updated some sections linked to the style
    - API:
      - Updated functions about the style
      - Added new features about PID monitoring
    - Some bugs have been fixed, other tweaks
  * debian/control:
    - bumped plug-ins versions (+ fixed typo)
    - bumped Standard Version (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 20 Feb 2014 00:23:22 +0100

cairo-dock (3.3.2-0ubuntu2) trusty; urgency=low

  * No change: Rebuild for the new version of GTK

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 10 Dec 2013 22:54:12 +0100

cairo-dock (3.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.1 -> 3.3.2)
    - Class: implemented a workaround for Chromium and Google Chrome web apps
    - Docks: fixed 2 bugs when reloading a dock: when changing the
      visibility from 'keep hidden' to 'hide when overlapping a window'
      and when changing the offset from the screen edges
    - Launching animation: don't stop it when the dock hides itself
    - Menus: correctly setup the menu during its init
    - Taskbar:
      - Fixed a regression when the application changes its class
      - Removed 'opening animation' option: now in plugins (Animated-Icons
        and Icon-effect)
    - Translations: imported translations from Launchpad
  * debian/control:
    - bumped plug-ins versions
    - bumped Standards-Version to 3.9.4 (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 10 Nov 2013 23:49:32 +0100
